Bug 212954 - New dynamic mirror list stops yum in case of invalid mirror
New dynamic mirror list stops yum in case of invalid mirror
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2006-10-30 05:35 EST by Bruno A. Crespo
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-22 22:54:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruno A. Crespo 2006-10-30 05:35:34 EST
Description of problem:

The new dynamic mirror list seems to assign to you a mirror based on 
geographic information.  It always assign to you the same mirror and only a 
mirror, if this mirror has problems it's impossible to use yum.

Version-Release number of selected component (if applicable):

How reproducible:

For me, always.  The script http://mirrors.fedoraproject.org/mirrorlist always 
assign to me ftp.cica.es, that have some problem with their configuration, 
every time I make yum install eclipse-jdt, I get:

c6.i386.rpm: [Errno 4] IOError: [Errno ftp error] 421 Too many connections (1)                                                                              
from this IP
Trying other mirror.
Error: failure: Fedora/RPMS/eclipse-rcp-3.2.1-4.fc6.i386.rpm from core: [Errno                                                                              
256] No more mirrors to try.

But this can be a serious problem.

The script must return, at least, 2 mirrors, to make the system works in the 
case of server problems.

Steps to Reproduce:
1. yum install from Spain
Actual results:

No more mirrors to try

Expected results:

A Second mirror, at least.

Additional info:
Comment 1 Jesse Keating 2006-12-15 12:31:10 EST
We've done lots of work on this, does this still pose a problem?

Note You need to log in before you can comment on or make changes to this bug.